Using loophole with node-postgres


#1

Hi, I’m trying to use node-postgres in my package but get errors like
"Refused to evaluate a string as JavaScript because ‘unsafe-eval’ is not an allowed source of script in the following Content Security Policy directive: “script-src ‘self’”.“
and
"Uncaught EvalError: Refused to evaluate a string as JavaScript because ‘unsafe-eval’ is not an allowed source of script in the following Content Security Policy directive: “script-src ‘self’”.”

I saw posts about https://github.com/atom/loophole and I have wrapped the call in both allowUnsafeEval => allowUnsafeNewFunction => functionCall…

But I still get the same errors. Does any one have any ideas?


#2

A little late, but I am having the same problem. Any leads?